### Constructor

# GUPnPAV DIDLLiteWriter new

#### Declaration [src]

    GUPnPDIDLLiteWriter*
    gupnp_didl_lite_writer_new (
      const char* language
    )

#### Description [src]

language parameter.

#### Parameters

`language`

  Type: `const char*`

  The language the DIDL-Lite fragment is in, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GUPnPDIDLLiteWriter`

A new `GUPnPDIDLLiteWriter` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.